Skip to main content
`Ctrl`+`K`

# PetscBagSetFromOptions

Allows setting entries to a `PetscBag` using the options database

## Synopsis

    #include "petscbag.h"
    PetscErrorCode PetscBagSetFromOptions(PetscBag bag)

Collective

## Input Parameter

- bag - the bag of values

## Note

The options database keys for the entries are of the form `-[bagprefix]_name value`

## See Also

`PetscBag`, `PetscBagSetName()`, `PetscBagDestroy()`, `PetscBagLoad()`, `PetscBagGetData()` `PetscBagRegisterReal()`, `PetscBagRegisterInt()`, `PetscBagRegisterBool()`, `PetscBagRegisterScalar()` `PetscBagCreate()`, `PetscBagGetName()`, `PetscBagView()`, `PetscBagRegisterEnum()`

## Level

beginner

## Location

src/sys/classes/bag/bag.c

## Examples

src/snes/tutorials/ex69.c
src/snes/tutorials/ex62.c
src/snes/tutorials/ex17.c
src/snes/tutorials/ex71.c
src/sys/tutorials/ex5f90.F90
src/sys/tutorials/ex5.c
src/ts/tutorials/ex53.c
src/snes/tutorials/ex27.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages